openSUSE 11.1 x64 and Net-SNMP

Hi-

I’m running openSUSE 11.1 x64 and it has Net-SNMP 5.4.2.1 installed. I need to update Net-SNMP to the latest version.

Can anyone give me the steps on how to do that?

Thanks…

Hi
Last in the list… press the 1-click BUT don’t stay subscribed, there is a checkbox to uncheck.
software.opensuse.org: Search Results

Oops, your on 11.1 which is unsupported.

You would need to download the src rpm and rebuild that locally, you would also need to pull down any dependency src rpms and rebuild/install those.

OK…maybe you can help with my original problem…

I’m receiving alot of the following sequence of messages in /var/log/net-snmpd.log file:

could not open /proc/net/if_inet6$
2 cannot open /proc/net/snmp6 …$
3 error on subcontainer ‘ia_addr’ insert (-1)$
4 NET-SNMP version 5.4.2.1$
5 Connection from UDP: [127.0.0.2]:54098$
6 error on subcontainer ‘ia_addr’ insert (-1)$
7 error on subcontainer ‘ia_addr’ insert (-1)$
8 error on subcontainer ‘ia_addr’ insert (-1)$
9 error on subcontainer ‘ia_addr’ insert (-1)$
10 error on subcontainer ‘ia_addr’ insert (-1)$
11 error on subcontainer ‘ia_addr’ insert (-1)$
12 error on subcontainer ‘ia_addr’ insert (-1)$
13 error on subcontainer ‘ia_addr’ insert (-1)$
14 error on subcontainer ‘ia_addr’ insert (-1)$
15 error on subcontainer ‘ia_addr’ insert (-1)$
16 Connection from UDP: [127.0.0.2]:53317$
17 error on subcontainer ‘ia_addr’ insert (-1)$
18 error on subcontainer ‘ia_addr’ insert (-1)$
19 error on subcontainer ‘ia_addr’ insert (-1)$
20 error on subcontainer ‘ia_addr’ insert (-1)$
21 error on subcontainer ‘ia_addr’ insert (-1)$
22 error on subcontainer ‘ia_addr’ insert (-1)$
23 error on subcontainer ‘ia_addr’ insert (-1)$

Can you tell me why? Or should I open another thread?

Hi
Can you post your snmp.conf file at SUSE Paste DON’T forget to blank out your security related info eg community strings location etc :wink:

Here is content of /etc/snmp.conf:

rocommunity Mystring 127.0.0.1

syslocation MyServerRoom
syscontact SysAdmin

dontPrintUnits true

includeAllDisks

disk /
disk /var
disk /home

proc httpd

Here is content of /etc/snmp/snmpd.conf:

syslocation Server Room
syscontact Sysadmin (root@localhost)

These really aren’t meant for production use. They include all MIBS

and can use considerable resources. See snmpd.conf(5) for information

on setting up groups and limiting MIBS.

#rocommunity public 127.0.0.1
rocommunity Mystring

rwcommunity mysecret 127.0.0.1

Thanks

Pasted at SUSE paste…

Hi
It’s a bug…
SourceForge.net: net-snmp: Detail: 1693039 - error on subcontainer ‘ia_addr’ insert (-1)

Looks like you would need to upgrade net-snmp to a fixed version.

5.4 is here;
ftp://ftp5.gwdg.de/pub/opensuse/discontinued/update/11.1/rpm

All part of the Evergreen project;
openSUSE:Evergreen - openSUSE

Suggest you add the repositories and you should be good to go.

Do you know if I can access those repo’s using http instead of FTP?

My ISP only allows active FTP outbound so connection to the repos keep failing…

Yes,
Just change the ftp to http eg
Index of /pub/opensuse/discontinued/update/11.1/rpm

Ok…I tried both the following URL’s (w/o the quotes) and they both failed:

ftp://ftp5.gwdg.de/pub/opensuse/discontinued/update/11.1/rpm

http://ftp5.gwdg.de/pub/opensuse/discontinued/update/11.1/rpm

YAST2 responds with:
Unable to create repository.

Try Again?

I was able to perform an update with HTTP a few hours ago so I know it works.

Any suggestions…

drop the rpm on your URL and try again.

OK…that worked…But…

Net-SNMP in this repository is the same as I already have installed :\

Doh!!

Any suggestions…

Hi
As in net-snmp-5.4.2.1-5.3.1?

Yes…its shown in the net-snmpd.log file but I looked in the repository…same one.

Hi
So what is the hardware setup, as a google on the error seems to be network related.

You might have to get on the Evergreen mailing list and see if they can help.